export default {
    namespaced: true,
    state: {
        /* dialog create order */
        dialog_create_order: false,
        form_order_asset: {
            podate: moment(new Date()).format('YYYY-MM-DD'),
            supplierID: "",
            reference: "",
            branchID: "",
            typepajak: "persen",
            valuepajak: 0,
            typediskon: "persen",
            valuediskon: 0
        },
        list_supplier: [],
        list_cabang: []
    },
    mutations: {
        update_dialog_create_order(state, val) {
            state.dialog_create_order = val
        },
        update_form_order_asset(state, val) {
            state.form_order_asset = val
        },
        update_list_supplier(state, val) {
            state.list_supplier = val
        },
        update_list_cabang(state, val) {
            state.list_cabang = val
        }
    },
    actions: {

    }
}
